<?php
/**
* Additional Woocommerce Settings.
*
* @package Cleaning Maintenance
*/

$cleaning_maintenance_default = cleaning_maintenance_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'cleaning_maintenance_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'cleaning-maintenance' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'cleaning_maintenance_theme_option_panel',
	)
);

	$wp_customize->add_setting('cleaning_maintenance_per_columns',
		array(
		'default'           => $cleaning_maintenance_default['cleaning_maintenance_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'cleaning_maintenance_sanitize_number_range',
		)
	);
	$wp_customize->add_control('cleaning_maintenance_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'cleaning-maintenance'),
		'section'     => 'cleaning_maintenance_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('cleaning_maintenance_product_per_page',
		array(
		'default'           => $cleaning_maintenance_default['cleaning_maintenance_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'cleaning_maintenance_sanitize_number_range',
		)
	);
	$wp_customize->add_control('cleaning_maintenance_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'cleaning-maintenance'),
		'section'     => 'cleaning_maintenance_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('cleaning_maintenance_show_hide_related_product',
    array(
        'default' => $cleaning_maintenance_default['cleaning_maintenance_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'cleaning_maintenance_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('cleaning_maintenance_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'cleaning-maintenance'),
	        'section' => 'cleaning_maintenance_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('cleaning_maintenance_custom_related_products_number',
		array(
		'default'           => $cleaning_maintenance_default['cleaning_maintenance_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'cleaning_maintenance_sanitize_number_range',
		)
	);
	$wp_customize->add_control('cleaning_maintenance_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'cleaning-maintenance'),
		'section'     => 'cleaning_maintenance_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('cleaning_maintenance_custom_related_products_number_per_row',
		array(
		'default'           => $cleaning_maintenance_default['cleaning_maintenance_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'cleaning_maintenance_sanitize_number_range',
		)
	);
	$wp_customize->add_control('cleaning_maintenance_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'cleaning-maintenance'),
		'section'     => 'cleaning_maintenance_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);